package com.iformall.service;

import com.github.pagehelper.PageInfo;
import com.iformall.domain.po.WxCarCmdLog;
import org.apache.ibatis.annotations.Param;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

public interface WxCarCmdLogService {

	/**
     * 根据实体查询分页列表
     *
     * @param record
     * @param pageIndex
     * @param pageSize
     * @return
     */
	PageInfo<WxCarCmdLog> listAsPage(WxCarCmdLog record, Integer pageIndex, Integer pageSize);

	/**
     * 根据Id获得实体
     *
     * @param id
     * @return
     */
    WxCarCmdLog getById(Long id);
    
    /**
     * 保存或更新实体
     *
     * @param record
     */
    void saveOrUpdate(WxCarCmdLog record);

    /**
     * 根据Id删除实体
     *
     * @param id
     */
    void deleteById(Long id);


    /**
     * 根据synId获取tenantId
     * @param params
     * @return
     */
    String getTenantIdBySynId(HashMap<String, String> params);

    WxCarCmdLog getByOrderId(HashMap<String, String> params);

    WxCarCmdLog getBySynId(HashMap<String, Object> params);








}
